Subject: RE: FVWM: Changing FVWM's location

From: "Moore, Garron" <[email-masked]>
Date: Mon, 19 Jul 2004 12:48:40 -0700

Thanks, I'll give that a try.

-----Original Message-----
From: Dan Espen [mailto:[email-masked]] 
Sent: Friday, July 16, 2004 4:21 PM
To: Moore, Garron
Cc: FVWM Users
Subject: Re: FVWM: Changing FVWM's location 

"Moore, Garron" <[email-masked]> writes:
> I don't just want to move the location for the sake of moving it. The 
> = disk layout of end system that will be using FVWM is unknown to me. 
> I = have no knowledge of their filesystem layout and directory 
> structure. I = need to prepare FVWM so that wherever they want to 
> place it on their = disk, it will work as long as they have the 
> environment variable = $FVWM_ROOT pointed at the place they copied it 
> to. They will not have a = compiler on their system to rebuild based 
> on their location choice.

There is no such variable in fvwm.

If you do:

 configure --prefix=/something/special
 make
 make install
 grep -r /something/special /something/special

(You need to use a grep that supports -r or use find.)

That will show you all the files that currently have hard coded paths. (It should always work, but I'm not guaranteeing that.)

If you use a really long path, you might even be able to write an install script that fixes up the binary files.

You might need to adjust all this for new releases of fvwm.

I don't understand your requirements, I guess you don't have the cooperation of the admins on the target systems.

Have you thought about installing into /var/tmp?

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].